Bug 1582478 - GUI applications crash periodically with the same error in LXDE and XFCE
Summary: GUI applications crash periodically with the same error in LXDE and XFCE
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libxcb
Version: 28
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-25 11:12 UTC by feder
Modified: 2019-05-28 20:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:27:53 UTC
Type: Bug


Attachments (Terms of Use)
Leafpad and Lxterminal coredumps (2.22 MB, application/x-gzip)
2018-05-25 11:12 UTC, feder
no flags Details

Description feder 2018-05-25 11:12:49 UTC
Created attachment 1441521 [details]
Leafpad and Lxterminal coredumps

Description of problem:
After upgrade to Fedora 28 from Fedora 27 some apps periodically crash with the same error:
[xcb] Unknown sequence number while processing queue
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
pidgin: xcb_io.c:259: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed.
Aborted (core dumped)

Version-Release number of selected component (if applicable):
The applications that aborted with this error: pidgin, lxterminal, leafpad, audacious, gimp, firefox.
The problem appeared immediately after the update to F28 about a month ago, is still actual after full updates of whole of the system (every 5 day).

How reproducible:
There are no clear steps to reproduce. Crash occurs randomly when using the graphical interface in different situations, usually after the mouse actions. After restarting application, the same actions do not cause crashing.

Actual results:
Graphical applications crashes with active use of the system several times a day randomly.

Expected results:
In F27 all the same GUI-applications worked stably for weeks without any crashes.

Additional info:
Attached Leafpad and Lxterminal coredumps of last days (because it have the smallest size).

Comment 1 Zdenek Kabelac 2018-06-01 11:49:37 UTC
I'm actually getting same crash with 'Pidgin'  running on xfce


#0  0x00007ff12840b00b in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#1  0x00007ff1283f5591 in __GI_abort () at abort.c:79
#2  0x00007ff1283f5461 in __assert_fail_base (fmt=0x7ff128558090 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=0x7ff12e1a81a0 "!xcb_xlib_threads_sequence_lost", file=0x7ff12e1a8013 "xcb_io.c", line=259, function=0x7ff12e1a8450 "poll_for_event") at assert.c:92
#3  0x00007ff1284036b2 in __GI___assert_fail (assertion=0x7ff12e1a81a0 "!xcb_xlib_threads_sequence_lost", file=0x7ff12e1a8013 "xcb_io.c", line=259, function=0x7ff12e1a8450 "poll_for_event") at assert.c:101
#4  0x00007ff12e13538a in  () at /lib64/libX11.so.6
#5  0x00007ff12e13542e in poll_for_response () at /lib64/libX11.so.6
#6  0x00007ff12e135725 in _XEventsQueued () at /lib64/libX11.so.6
#7  0x00007ff12e127247 in XPending () at /lib64/libX11.so.6
#8  0x00007ff12cdbaf9e in gdk_event_check () at /lib64/libgdk-x11-2.0.so.0
#9  0x00007ff129403601 in g_main_context_check (context=context@entry=0x55813c119640, max_priority=2147483647, fds=fds@entry=0x55813d8153b0, n_fds=n_fds@entry=10) at gmain.c:3736
#10 0x00007ff129403b90 in g_main_context_iterate (context=0x55813c119640, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3900
#11 0x00007ff129403fa2 in g_main_loop_run (loop=0x55813d86feb0) at gmain.c:4099
#12 0x00007ff12d16895f in gtk_main () at /lib64/libgtk-x11-2.0.so.0
#13 0x000055813b130983 in main ()

Comment 2 Ben Cotton 2019-05-02 21:40:06 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 20:27:53 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.